Package org.apache.commons.math3.linear

# Interface AnyMatrix

All Known Subinterfaces:
  `FieldMatrix<T>`, `RealMatrix`, `SparseRealMatrix`

All Known Implementing Classes:
  `AbstractFieldMatrix`, `AbstractRealMatrix`, `Array2DRowFieldMatrix`, `Array2DRowRealMatrix`, `BlockFieldMatrix`, `BlockRealMatrix`, `DiagonalMatrix`, `OpenMapRealMatrix`, `SparseFieldMatrix`

public interface AnyMatrix
Interface defining very basic matrix operations.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnDimension()`
Returns the number of columns in the matrix.
`int`
`getRowDimension()`
Returns the number of rows in the matrix.
`boolean`
`isSquare()`
Is this a square matrix?

## Method Details

### isSquare

boolean isSquare()
Is this a square matrix?

Returns:
  true if the matrix is square (rowDimension = columnDimension)

### getRowDimension

int getRowDimension()
Returns the number of rows in the matrix.

Returns:
  rowDimension

### getColumnDimension

int getColumnDimension()
Returns the number of columns in the matrix.

Returns:
  columnDimension